using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 子坝质量验收记录
    /// </summary>
    [Description("子坝质量验收记录")]
    public class T_TL_QUALITY_CHECK_FILE : MesEntityBase
    {
        /// <summary>
        /// 子坝质量验收记录
        /// </summary>
        [Description("子坝质量验收记录")]
        [DataFieldForeignKey("Nav_QualityCheck", "Nav_Files")]
        public Guid QUALITY_ID { get; set; }

        /// <summary>
        /// 子坝质量验收
        /// </summary>
        [Description("子坝质量验收")]
        public virtual T_TL_QUALITY_CHECK Nav_QualityCheck { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
